using Pixiview.Utils;
using Xamarin.Forms;

namespace Pixiview.UI.Theme
{
    public class LightTheme : ThemeBase
    {
        private static LightTheme _instance;

        public static LightTheme Instance
        {
            get
            {
                if (_instance == null)
                {
                    _instance = new LightTheme();
                }
                return _instance;
            }
        }

        public LightTheme()
        {
            InitColors();
            InitResources();
        }

        private void InitColors()
        {
            Add(StatusBarStyle, StatusBarStyles.DarkText);
            Add(WindowColor, Color.White);
            Add(TintColor, Color.FromRgb(0x87, 0x87, 0x8b));    // 0x7f, 0x99, 0xc6
            Add(TextColor, Color.Black);
            Add(SubTextColor, Color.DimGray);
            Add(CardBackgroundColor, Color.FromRgb(0xf3, 0xf3, 0xf3));
            Add(MaskColor, Color.FromRgba(0, 0, 0, 0x64));
            Add(NavColor, Color.FromRgb(0xf0, 0xf0, 0xf0));
            Add(NavSelectedColor, Color.LightGray);
            Add(OptionBackColor, Color.FromRgb(0xf0, 0xf0, 0xf0));
            Add(OptionTintColor, Color.White);
        }
    }
}
